<p-table #dt [scrollable]="true" [value]="divisions" selectionMode="single"
    (onRowSelect)="sendToOrganizationUnits($event.data)" [selection]="selectedDivision"
    (onRowUnselect)="sendToOrganizationUnits(null)" styleClass="p-datatable-striped"
    tableStyleClass="table-with-action-buttons">
    <ng-template pTemplate="caption">
        <div style="text-align:center">Divisions</div>
        <!-- <input type="text" pInputText size="50" placeholder="Search"
            (input)="dt.filter($event.target.value, 'name', 'contains')" style="width:100%"> -->
    </ng-template>
    <ng-template pTemplate="header">
        <tr>
            <th class="rowStyle">Name</th>
            <th *ngIf="hasWritePermission" style="width: 37px">
                <button pButton icon="fa fa-plus" (click)="onAddDivision()"></button>
            </th>
        </tr>
    </ng-template>
    <ng-template pTemplate="body" let-division>
        <tr [pSelectableRow]="division">
            <td>{{division.name}}</td>
            <td *ngIf="hasWritePermission">
                <div class="d-flex justify-content-between">
                    <button pButton icon="fa fa-pencil" (click)="onEditDivision(division)"></button>
                </div>
            </td>
        </tr>
    </ng-template>
</p-table>

<p-dialog header="Division" [(visible)]="dialogVisible" [responsive]="true" [resizable]="false" showEffect="fade"
    [modal]="true" [style]="{ 'width': '530px' }">
    <form [formGroup]="form" (ngSubmit)="onSaveDivision()">
        <div class="form-group form-row" style="margin-top: 1rem">
            <div class="col-md-2 col-form-label text-md-right">
                Name
            </div>
            <div class="col-md-10">
                <input formControlName="name" id="name" pInputText [(ngModel)]="editDivision.name" type="text"
                    class="w-100" />
                <div *ngIf="f['name'].touched && f['name'].invalid" class="text-danger">
                    <div *ngIf="f['name'].errors && f['name'].errors['required']">Name is required.</div>
                    <div *ngIf="f['name'].errors && f['name'].errors['maxlength']">Name must be less than 100 characters long</div>
                    <div *ngIf="f['name'].errors && f['name'].errors['canNotContainWhiteSpaces']">Name can not contain whitespaces</div>
                </div>
            </div>
        </div>
        <div class="form-group form-row">
            <div class="col-12 text-right">
                <button pButton label="Save" [disabled]="form.invalid" type="submit"></button>
            </div>
        </div>
    </form>
</p-dialog>